<!DOCTYPE html>
<html dir="ltr" lang="zh_CN">
<head>
<meta name="renderer" content="webkit">
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="author" content="slmwp.com" />
<?php include('modules/seo.php'); ?>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/bootstrap.css" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/font-awesome.min.css" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/animate.css" type="text/css" />

<?php if(get_opt('theme_skin') == '1FAEFF') {echo '';}
else {?><link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/colors/<?php echo get_opt('theme_skin')?>.css" type="text/css" /><?php }?>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
<!--[if lte IE 8]><script>window.location.href='http://cdn.slmwp.com/slmwp/u/upgrade-your-browser.html?referrer='+location.href;</script><![endif]-->
<!--[if lt IE 9]>
    	<script src="<?php bloginfo('template_url'); ?>/js/css3-mediaqueries.js"></script>
    <![endif]-->
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/plugins.js"></script>
<script>
<?php if (get_opt('lazyload_s')){?>
$(function() {
        $("img").lazyload({
            effect:"fadeIn"
          });
        });
<?php }?>
    paceOptions = {
      elements: true
    };
  </script>
<style><?php echo get_opt('csscode')?></style>
<?php echo get_opt('headcode')?>
<?php wp_head();?>
</head>

<body class="no-transition <?php if (get_opt('head_style')== 'five'){echo 'side-header';}?>" >
<div id="wrapper" class="clearfix">
<?php if (get_opt('top_bar_s')){?>
<div id="top-bar">
  <div class="container clearfix">
    <div class="col_half nobottommargin">
      <div class="top-links">
        <?php 
	  if(has_nav_menu('topnav')){
	  	wp_nav_menu(
		   array(
		    'theme_location'  => 'topnav',
		    'container' => '',
			'menu_class' => 'sf-js-enabled clearfix',
		   )
	  	);
	  }
	 ?>
      </div>
    </div>
    <div class="col_half fright col_last nobottommargin">
      <div id="top-social">
        <ul>
          <?php echo get_opt('social_qq_s') ? '<li><a href="http://wpa.qq.com/msgrd?v=3&uin='.get_opt('social_qq').'&site=qq&menu=yes" target="_blank" class="si-qq"><span class="ts-icon"><i class="fa fa-qq"></i></span><span class="ts-text">点击联系</span></a></li>' : '' ?> 
		  <?php echo get_opt('social_weibo_s') ? '<li><a href="'.get_opt('social_weibo').'" target="_blank" class="si-weibo"><span class="ts-icon"><i class="fa fa-weibo"></i></span><span class="ts-text">关注新浪微博</span></a></li>' : '' ?> 
		  <?php echo get_opt('social_tqq_s') ? '<li><a href="'.get_opt('social_tqq').'" target="_blank" class="si-tqq"><span class="ts-icon"><i class="fa fa-pinterest-square"></i></span><span class="ts-text">关注腾讯微博</span></a></li>' : '' ?> 
		  <?php echo get_opt('social_facebook_s') ? '<li><a href="'.get_opt('social_facebook').'" target="_blank" class="si-facebook"><span class="ts-icon"><i class="fa fa-facebook-official"></i></span><span class="ts-text">关注Facebook</span></a></li>' : '' ?> 
		  <?php echo get_opt('social_twitter_s') ? '<li><a href="'.get_opt('social_twitter').'" target="_blank" class="si-twitter"><span class="ts-icon"><i class="fa fa-twitter"></i></span><span class="ts-text">关注Twitter</span></a></li>' : '' ?> 
		  <?php echo get_opt('social_wechat_s') ? '<li><a data-toggle="modal" data-target=".bs-example-modal-sm" href="#" class="si-weixin"><span class="ts-icon"><i class="fa fa-weixin"></i></span><span class="ts-text">点击关注&quot;'.get_opt('social_wechat').'&quot;微信</span></a></li><div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true"><div class="modal-dialog modal-sm"><div class="modal-body"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title" id="myModalLabel">扫描关注&quot;'.get_opt('social_wechat').'&quot;微信</h4></div><div class="modal-body"><p class="nobottommargin"><img src="'.get_opt('social_wechat_qr').'" alt="'.get_opt('social_wechat').'"></p></div></div></div></div></div>' : '' ?> 
		  <?php echo get_opt('social_mail_s') ? '<li><a href="http://mail.qq.com/cgi-bin/qm_share?t=qm_mailme&email='.get_opt('social_mail').'" target="_blank" class="si-email3" title="点击发送邮件"><span class="ts-icon"><i class="fa fa-envelope-o fa-fw"></i></span><span class="ts-text">'.get_opt('social_mail').'</span></a></li>' : '' ?>
          <?php echo get_opt('social_qun_s') ? '<li><a target="_blank" href="'.get_opt('social_qun').'" class="si-group"><span class="ts-icon"><i class="fa fa-users"></i></span><span class="ts-text">'.get_opt('social_qun_tit').'</span></a></li>' : '' ?> 
          <li><a href="<?php echo get_opt('social_feed');?>" class="si-rss"><span class="ts-icon"><i class="fa fa-rss"></i></span><span class="ts-text">RSS订阅</span></a></li>
        </ul>
      </div>
    </div>
  </div>
</div>
<?php }?>
        <?php include('modules/style/head-'.get_opt('head_style').'.php') ;?>