<?php

function optionsframework_option_name() {
    // 从样式表获取主题名称
    $themename = wp_get_theme();
    $themename = preg_replace("/\W/", "_", strtolower($themename));
    $optionsframework_settings = get_option('optionsframework');
    $optionsframework_settings['id'] = $themename;
    update_option('optionsframework', $optionsframework_settings);
}
function optionsframework_options() {
    // 测试数据
    $display = array(
        '0' => 'CMS模式',
		'2' => 'Blog博客模式',
    );
	
	$sign_array = array(
        'sign1' => __('最新文章', 'HO2-eye') ,
        'sign2' => __('热门文章(评论最多)', 'HO2-eye') ,
        'sign3' => __('置顶文章', 'HO2-eye') ,
        'sign4' => __('一段公告文字','HO2-eye'),
	);
	
	$head_array = array(
        'one' => __('样式一', 'HO2-eye') ,
        'two' => __('样式二', 'HO2-eye') ,
        'three' => __('样式三', 'HO2-eye') ,
        'four' => __('样式四', 'HO2-eye') ,
        'five' => __('样式五', 'HO2-eye') ,
        'six' => __('样式六', 'HO2-eye') ,
    );
	$foot_array = array(
        'one' => __('样式一', 'HO2-eye') ,
        'two' => __('样式二', 'HO2-eye') ,
        'three' => __('样式三', 'HO2-eye') ,
        'four' => __('样式四', 'HO2-eye') ,
    );
	$blog_array = array(
        'one' => __('样式一（左右）', 'HO2-eye') ,
        'two' => __('样式二（上下）', 'HO2-eye') ,
        'three' => __('样式三（格子流）', 'HO2-eye') ,
    );
	$sticky_array= array(
        'one' => __('样式一', 'HO2-eye') ,
        'two' => __('样式二', 'HO2-eye') ,
    );
	$cms_array = array(
        'one' => __('样式一', 'HO2-eye') ,
        'two' => __('样式二', 'HO2-eye') ,
        'three' => __('样式三', 'HO2-eye') ,
    );
	$silder_array = array(
        'one' => __('样式一', 'HO2-eye') ,
        'two' => __('样式二', 'HO2-eye') ,
    );
	$silder_array_stt = array(
        'date' => __('按发布日期排序', 'HO2-eye') ,
        'modified' => __('按修改时间排序', 'HO2-eye') ,
        'comment_count' => __('按评论最多排序', 'HO2-eye') ,
        'ID' => __('按文章ID排序', 'HO2-eye') ,
    );
	$animation_array = array(
        'fadeIn' => __('上滑入', 'HO2-eye') ,
        'fadeInRight' => __('右滑入', 'HO2-eye') ,
        'fadeInLeft' => __('左滑入', 'HO2-eye') ,
        'fadeInUp' => __('下滑入', 'HO2-eye') ,
    );
    $bg_repeat_array = array(
        'no-repeat' => __('不重复', 'HO2-eye') ,
        'repeat' => __('平铺', 'HO2-eye') ,
        'repeat-x' => __('水平平铺', 'HO2-eye') ,
        'repeat-y' => __('垂直平铺', 'HO2-eye') ,
    );
    $bg_location_array = array(
        'left' => __('左', 'HO2-eye') ,
        'center' => __('中', 'HO2-eye') ,
        'right' => __('右', 'HO2-eye') ,
    );
    $bg_attached_array = array(
        'scroll' => __('滚动', 'HO2-eye') ,
        'fixed' => __('固定', 'HO2-eye') ,
    );
    // 将所有分类（categories）加入数组
    $options_categories = array();
    $options_categories_obj = get_categories();
    foreach ($options_categories_obj as $category) {
        $options_categories[$category->cat_ID] = $category->cat_name;
    }
    // 如果使用图片单选按钮, define a directory path
    $imagepath = get_template_directory_uri() . '/inc/images/';
    $options = array();
    $options[] = array(
        'name' => __('全站设置', 'HO2-eye') ,
        'type' => 'heading'
    );
    $options[] = array(
        'name' => __('全站logo设置', 'HO2-eye') ,
        'desc' => __('顶部导航logo，最宽不超过350px,最高不超过100px', 'HO2-eye') ,
        'id' => 'logo_src',
        "std" => 'http://cdn.slmwp.com/slmwp/img/logo.png',
        'type' => 'upload'
    );
	$options[] = array(
        'name' => __('全站手机版logo设置', 'HO2-eye') ,
        'desc' => __('手机模式下，将调用该logo，宽度高度没硬性规定，自己看着办，反正我使用的250px*250px', 'HO2-eye') ,
        'id' => 'logo_src_m',
        "std" => 'http://cdn.slmwp.com/slmwp/img/logo@2x.png',
        'type' => 'upload'
    );
    $options[] = array(
        'name' => __('脚部邮箱订阅ID', 'HO2-eye') ,
        'desc' => __('基于QQ邮箱订阅的邮箱订阅，获取ID的方法见水冷眸博客', 'HO2-eye') ,
		'desc' => sprintf(__('基于QQ邮箱订阅的邮箱订阅，获取ID的方法<a href="%1$s"  target="_blank">点此进行查看</a>。', 'HO2-eye') , 'http://www.slmwp.com/qqmail-lists-id.html') ,
        'id' => 'foot_maillistid',
        'type' => 'text',
    );
	$options[] = array(
        'name' => __('建站日期', 'HO2-eye') ,
        'desc' => __('填写建站日期，格式：2015-04-18，小工具里的同样也是调用此处。', 'HO2-eye') ,
        'id' => 'ho2_jzdate',
		'std' => '2015-04-18',
        'type' => 'text',
    );
    $options[] = array(
        'name' => __('ICP备案号', 'HO2-eye') ,
        'desc' => __('请填写你的ICP备案号，不填写清留空', 'HO2-eye') ,
        'id' => 'ho2_icp',
        'type' => 'text',
    );
    $options[] = array(
        "name" => 'Seo关键词设置：',
        "desc" => '输入您的网站关键词，建议不超过10个，每个以英文(,)号分隔。',
        "id" => 'seo_keywords',
        "std" => 'Play-LM主题,水冷眸主题',
        "type" => "textarea"
    );
    $options[] = array(
        'name' => 'Seo网站描述设置',
        'desc' => '输入您的网站描述，建议不超过150个字符。',
        'id' => 'seo_description',
        'std' => 'Play-LM水冷眸自用主题发布',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => '网站底部信息',
        'desc' => '位于网站底部，可以放置网站地图等各类内容',
        'id' => 'foot_copy',
        'std' => '基于 <a href="https://cn.wordpress.org/" target="_blank" rel="nofollow">WordPress</a> & <a href="http://www.16898.pw/go/aliyun.html" target="_blank" rel="nofollow"  title="运行在阿里云">阿里云</a>',
        'type' => 'textarea'
    );
	$options[] = array(
        'name' => '网站底部文本',
        'desc' => '位于网站底部，可以写一段话，一段声明等，',
        'id' => 'foot_text',
        'std' => '《PLAY-LM主题》基于GPL开源协议免费开放使用，作者（水冷眸）仅保留著作版权。使用本主题可进行任意形式修改，但使用过程中请保留底部版权（本站链接），主题制作不易，且行且珍惜！！！',
        'type' => 'textarea'
    );
	$options[] = array(
        'name' => __('风格设置', 'HO2-eye') ,
        'type' => 'heading'
    );
	$options[] = array(
		'name'    => __('主题风格', 'HO2-eye'),
		'desc'    => __('13种颜色风格切换，该怎么换就怎么换', 'HO2-eye'),
		'id'      => 'theme_skin',
		'std'     => '1FAEFF',
		'type'    => 'images',
		'options' => array(
		    '1FAEFF' => $imagepath . '0.jpg', 
			'FF5E52' => $imagepath . '1.jpg',
			'2CDB87' => $imagepath . '2.jpg', 
			'00D6AC' => $imagepath . '3.jpg', 
			'A12ABA' => $imagepath . '4.jpg', 
			'FDAC5F' => $imagepath . '5.jpg', 
			'FD77B2' => $imagepath . '6.jpg', 
			'76BDFF' => $imagepath . '7.jpg', 
			'C38CFF' => $imagepath . '8.jpg', 
			'FD6639' => $imagepath . '9.jpg', 
			'B00C00' => $imagepath . '10.jpg', 
			'C7C183' => $imagepath . '11.jpg', 
			'555555' => $imagepath . '12.jpg')
		);

    /*主题背景设置*/
    
    $options[] = array(
        'name' => __('启用自定义背景', 'HO2-eye'),
        'desc' => __('开启本设置，将可以自定义你的站点背景。', 'HO2-eye') ,
        'id' => 'theme_bg_s',
        'std' => false,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('利用拾色器获取颜色改变背景。默认背景色为白色。可与背景图搭配使用', 'options_framework_theme'),
        'id' => 'bg_color',
        'std' => '#ffffff',
        'type' => 'color' );

    $options[] = array(
        'desc' => __('背景图片设置，尺寸自己确立。推荐选用速度快的图床存放点。', 'HO2-eye') ,
        'id' => 'theme_bg',
        "std" => '',
        'type' => 'upload'
    );

    $options[] = array(
        'desc' => __('重复背景', 'HO2-eye'),
        'id' => 'bg_repeat',
        'std' => 'no-repeat',
        'type' => 'select',
        'class' => 'mini',
        'options' => $bg_repeat_array);

    $options[] = array(
        'desc' => __('背景位置', 'HO2-eye'),
        'id' => 'bg_location',
        'std' => 'center',
        'type' => 'select',
        'class' => 'mini',
        'options' => $bg_location_array);

    $options[] = array(
        'desc' => __('背景附着方式', 'HO2-eye'),
        'id' => 'bg_attached',
        'std' => 'fixed',
        'type' => 'select',
        'class' => 'mini',
        'options' => $bg_attached_array);

	$options[] = array(
        'name' => __('首页显示模式', 'HO2-eye') ,
        'desc' => __('此处选择首页显示模式，默认为博客模式', 'HO2-eye') ,
        'id' => 'display_model',
        'std' => '2',
        'type' => 'radio',
        'options' => $display
    );
	$options[] = array(
        'name' => __('头部顶栏', 'HO2-eye') ,
        'desc' => __('是否显示头部顶栏？默认开启', 'HO2-eye') ,
        'id' => 'top_bar_s',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'name' => __('头部样式选择', 'HO2-eye') ,
        'desc' => __('本主题提供6种头部样式，查看演示请把你的眼睛往右瞄(* ￣ー￣)', 'HO2-eye') ,
        'id' => 'head_style',
        'std' => 'one',
        'type' => 'select',
        'options' => $head_array
    );
	$options[] = array(
        'name' => __('脚部样式选择', 'HO2-eye') ,
        'desc' => __('本主题提供4种脚部样式，查看演示请把你的眼睛往右瞄(* ￣ー￣)', 'HO2-eye') ,
        'id' => 'foot_style',
        'std' => 'one',
        'type' => 'select',
        'options' => $foot_array
    );
	$options[] = array(
        'desc' => __('脚部背景图片，自动百分百拉伸填充，所以不要使用太过看重比例的背景图。', 'HO2-eye') ,
        'id' => 'foot_bgpic',
        "std" => '' . get_bloginfo('template_directory') . '/images/footer-bg.jpg',
        'type' => 'upload'
    );
	$options[] = array(
        'name' => __('博客模式样式选择', 'HO2-eye') ,
        'desc' => __('本主题提供3种博客样式，查看演示请把你的眼睛往右瞄(* ￣ー￣)。PS:非博客模式下，此处设置也在列表页生效！', 'HO2-eye') ,
        'id' => 'blog_style',
        'std' => 'one',
        'type' => 'select',
        'options' => $blog_array
    );
	$options[] = array(
        'name' => __('是否显示置顶栏目（blog模式）', 'HO2-eye') ,
        'desc' => __(' 是否在blog首页列表前显示一个置顶的栏目？默认开启', 'HO2-eye') ,
        'id' => 'ho2_toplists',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __('置顶栏目提供两种样式选择。', 'HO2-eye') ,
        'id' => 'toplists_style',
        'std' => 'one',
        'type' => 'select',
        'options' => $sticky_array
    );
	$options[] = array(
        'desc' => __('请输入需要调用的置顶文章条数', 'HO2-eye') ,
        'id' => 'sticky_n',
        'std' => '4',
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('CMS内容管理模式样式选择', 'HO2-eye') ,
        'desc' => __('本主题提供3种CMS样式，查看演示请把你的眼睛往右瞄(* ￣ー￣)。部分样式支持小工具', 'HO2-eye') ,
        'id' => 'cms_style',
        'std' => 'one',
        'type' => 'select',
        'options' => $cms_array
    );
	$options[] = array(
        'name' => __('幻灯右侧栏目名称（CMS模式样式三），', 'HO2-eye') ,
        'desc' => __('CMS模式样式三下，幻灯右侧栏目名称', 'HO2-eye') ,
        'id' => 'cms3_title',
        'std' => '置顶推荐',
        'type' => 'text'
    );
	$options[] = array(
        'desc' => __('请输入需要调用的置顶文章条数（CMS模式样式三）(根据你的幻灯片图片高度调整)', 'HO2-eye') ,
        'id' => 'cms3_sticky_n',
        'std' => '4',
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('图片轮播（CMS模式样式三），', 'HO2-eye') ,
        'desc' => __('CMS模式样式三下，图片轮播栏目名称,', 'HO2-eye') ,
        'id' => 'cms3_pic_title',
        'std' => '图片新闻',
        'type' => 'text'
    );
	if ($options_categories) {
        $options[] = array(
            'desc' => __('选择调用的分类', 'HO2-eye') ,
            'id' => 'cms3_pic_cat',
            'type' => 'select',
            'options' => $options_categories
        );
    }
	$options[] = array(
        'desc' => __('请输入需要调用的图片轮播条数（CMS模式样式三）', 'HO2-eye') ,
        'id' => 'cms3_pic_n',
        'std' => '10',
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('首页展示分类（CMS模式）', 'HO2-eye') ,
        'desc' => __('请输入CMS模式下需要展示的分类，多个分类请以英文（,）逗号分隔。最后请不要加逗号！！！', 'HO2-eye') ,
        'id' => 'category',
        'std' => '1',
        'type' => 'text'
    );
    /*分隔	*/
    $options[] = array(
        'name' => '基本设置',
        'type' => 'heading'
    );
	$options[] = array(
        'name' => __('文章信息小部件', 'HO2-eye') ,
        'desc' => __(' 是否显示作者？默认开启', 'HO2-eye') ,
        'id' => 'p_author_s',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __(' 是否显示分类？默认开启', 'HO2-eye') ,
        'id' => 'p_cat_s',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __(' 是否显示评论数？默认开启', 'HO2-eye') ,
        'id' => 'p_comm_s',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __(' 是否显示来源声明？默认开启', 'HO2-eye') ,
        'id' => 'source_s',
        'std' => true,
        'type' => 'checkbox'
    );
    $options[] = array(
        'name' => __('文章页', 'HO2-eye') ,
        'desc' => __('是否开启作者信息模块？默认开启。PS：关闭后，百度分享也不显示', 'HO2-eye') ,
        'id' => 'author_s',
        'std' => true,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __(' 是否开启百度分享？默认开启', 'HO2-eye') ,
        'id' => 'ho2_share',
        'std' => true,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __(' 是否开启点赞按钮？默认开启', 'HO2-eye') ,
        'id' => 'ho2_zan',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __(' 是否开启版权声明？默认开启', 'HO2-eye') ,
        'id' => 'ho2_copyright',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __('版权声明提示文字', 'HO2-eye') ,
        'id' => 'ho2_copyright_title',
        'std' => __('如无特殊说明，文章均为本站原创，转载请注明出处', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('正文字体切换设置（默认14像素。）', 'HO2-eye') ,
        'desc' => __('小字体(单位为PX，输入数字即可)', 'HO2-eye') ,
        'id' => 'single_fx',
        'std' => __('12', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'desc' => __('中字体(单位为PX，输入数字即可)', 'HO2-eye') ,
        'id' => 'single_fz',
        'std' => __('16', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'desc' => __('大字体(单位为PX，输入数字即可)', 'HO2-eye') ,
        'id' => 'single_fd',
        'std' => __('20', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('新窗口打开文章', 'HO2-eye') ,
        'desc' => __('顾名思义，开启之后点击链接在新窗口打开，只在列表及博客模式的首页起作用', 'HO2-eye') ,
        'id' => 'target_blank',
        'std' => false,
        'type' => 'checkbox'
    );
	$options[] = array(
        'name' => __('缩略图设置', 'HO2-eye') ,
        'desc' => __(' 是否使用Timthumb插件自动裁减？默认开启', 'HO2-eye') ,
        'id' => 'ho2_tim_s',
        'std' => true,
        'type' => 'checkbox'
    );
	$options[] = array(
        'name' => __('延迟加载设置', 'HO2-eye') ,
        'desc' => __(' 是否使用基于lazyload的延迟加载功能？默认开启', 'HO2-eye') ,
        'id' => 'lazyload_s',
        'std' => true,
        'type' => 'checkbox'
    );
    $options[] = array(
        'name' => __('相关文章', 'HO2-eye') ,
        'id' => 'ho2_related_s',
        'type' => 'checkbox',
        'std' => true,
        'desc' => __('开启', 'HO2-eye')
    );
    $options[] = array(
        'desc' => __('相关文章标题', 'HO2-eye') ,
        'id' => 'ho2_related_title',
        'std' => __('相关推荐', 'HO2-eye') ,
        'type' => 'text'
    );
    $options[] = array(
        'desc' => __('相关文章显示数量', 'HO2-eye') ,
        'id' => 'ho2_related_n',
        'std' => 4,
        'class' => 'mini',
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('文章形式', 'HO2-eye') ,
        'type' => 'heading'
    );
	$options[] = array(
        'name' => __('视频尺寸', 'HO2-eye') ,
        'id' => 'single_v_h',
        'std' => '400',
        'class' => 'small',
        'desc' => __('文章页面视频形式的视频高度，仅需填写数值', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'id' => 'single_v_w',
        'std' => '600',
        'class' => 'small',
        'desc' => __('文章页面视频形式的视频宽度，仅需填写数值', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('音频源地址', 'HO2-eye') ,
        'id' => 'single_m_url',
        'std' => 'http://audioplm.sinaapp.com',
        'class' => 'small',
        'desc' => __('文章页面音频形式的播放源地址，不要忘记http://，关于播放源地址设置，请把你的眼睛往右瞄(* ￣ー￣)', 'HO2-eye') ,
        'type' => 'text'
    );
    $options[] = array(
        'name' => __('下载文字参数', 'HO2-eye') ,
        'id' => 'single_dow_1',
        'std' => '演示/下载',
        'class' => 'mini',
        'desc' => __('字段1，提示文字说明', 'HO2-eye') ,
        'type' => 'text'
    );
    $options[] = array(
        'id' => 'single_dow_2',
        'std' => '演示地址',
        'class' => 'mini',
        'desc' => __('字段2，演示网址文字说明', 'HO2-eye') ,
        'type' => 'text'
    );
    $options[] = array(
        'id' => 'single_dow_3',
        'std' => '下载地址',
        'class' => 'mini',
        'desc' => __('字段2，下载地址文字说明', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('其它设置', 'HO2-eye') ,
        'type' => 'heading'
    );
	$options[] = array(
        'name' => __('导航下公告栏', 'HO2-eye') ,
        'id' => 'ho2_sign_s',
        'type' => 'checkbox',
        'std' => true,
        'desc' => __('开启', 'HO2-eye')
    );
    $options[] = array(
        'desc' => __('公告栏标题', 'HO2-eye') ,
        'id' => 'ho2_sign_title',
        'std' => __('公告', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('轮播参数', 'HO2-eye') ,
        'desc' => __('设置公告栏要轮播的参数，也可以选择仅输出一段带链接的文字作为公告内容。', 'HO2-eye') ,
        'id' => 'ho2_sign_cs',
        'std' => 'sign1',
        'type' => 'radio',
        'class' => 'mini', //mini, tiny, small
        'options' => $sign_array
    );
    $options[] = array(
        'desc' => __('文章显示数量', 'HO2-eye') ,
        'id' => 'ho2_sign_n',
        'std' => 5,
        'class' => 'mini',
        'type' => 'text'
    );
	$options[] = array(
        'desc' => __('公告文本（支持A标签）', 'HO2-eye') ,
        'id' => 'ho2_sign_text',
        'type' => 'textarea'
    );
	$options[] = array(
        'name' => __('侧栏滚动', 'HO2-eye') ,
        'id' => 'sideroll_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'id' => 'sideroll_n_1',
        'std' => '1',
        'class' => 'mini',
        'type' => 'text'
    );
    $options[] = array(
        'id' => 'sideroll_n_2',
        'std' => '2',
        'class' => 'mini',
        'desc' => __('设置随动模块，直接输入数字', 'HO2-eye') ,
        'type' => 'text'
    );
    $options[] = array(
        'name' => __('百度主动推送设置', 'HO2-eye') ,
		'id' => 'baidu_site',
        'std' => '',
        'class' => 'mini',
		'desc' => __('百度主动推送网址', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
		'id' => 'baidu_token',
        'std' => '',
        'class' => 'mini',
		'desc' => __('百度主动推送TOKEN', 'HO2-eye') ,
        'type' => 'text'
    );
	$options[] = array(
        'name' => __('列表图片效果设置', 'HO2-eye') ,
        'id' => 'list_pic_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
	$options[] = array(
        'name' => __('列表动画效果设置', 'HO2-eye') ,
        'id' => 'sliding_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
	$options[] = array(
        'desc' => __('动画效果样式选择', 'HO2-eye') ,
        'id' => 'animation_style',
        'std' => 'fadeInUp',
        'type' => 'select',
        'options' => $animation_array
    );
    $options[] = array(
        'name' => __('首页幻灯', 'HO2-eye') ,
        'type' => 'heading'
    );
    $options[] = array(
        'id' => 'slide_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
	$options[] = array(
        'id' => 'slide_stt_s',
        'std' => false,
        'desc' => __('是否采用参数显示幻灯内容？如果勾选，则自定义的幻灯内容不起作用，将采用下面的参数设置调用文章。', 'HO2-eye') ,
        'type' => 'checkbox'
    );
	$options[] = array(
        'name' => __('幻灯参数', 'HO2-eye') ,
        'desc' => __('使用参数调用幻灯，请注意你文章是否有大图。', 'HO2-eye') , 
        'id' => 'slide_stt',
        'std' => 'date',
        'type' => 'select',
        'options' => $silder_array_stt
    );
	$options[] = array(
        'name' => __('幻灯样式选择', 'HO2-eye') ,
        'desc' => __('本主题提供2种幻灯样式', 'HO2-eye') , 
        'id' => 'slide_style',
        'std' => 'one',
        'type' => 'select',
        'options' => $silder_array
    );
    for ($i = 1; $i <= 6; $i++) {
        $options[] = array(
            'name' => __('幻灯', 'HO2-eye') . $i,
            'id' => 'slide_title_' . $i,
            'desc' => '标题',
            'std' => 'ho2-eye主题 - 水冷眸',
            'type' => 'text'
        );
        $options[] = array(
            'id' => 'slide_href_' . $i,
            'desc' => __('链接', 'HO2-eye') ,
            'std' => 'http://www.slmwp.com/play-lm',
            'type' => 'text'
        );
        $options[] = array(
        		'id' => 'slide_miaoshu_' . $i,
        		'desc' => __('描述', 'HO2-eye') ,
        		'std' => '《Play-LM》多用途高级主题发布',
        		'type' => 'textarea'
        );
        $options[] = array(
            'id' => 'slide_blank_' . $i,
            'std' => true,
            'desc' => __('新窗口打开', 'HO2-eye') ,
            'type' => 'checkbox'
        );
        $options[] = array(
            'id' => 'slide_src_' . $i,
            'desc' => __('图片，尺寸：', 'HO2-eye') . '尺寸自己看着办，自适应图片大小，但是希望你能保持各个图片高度一样。',
            'std' => get_template_directory_uri() .'/images/other/slide.jpg',
            'type' => 'upload'
        );
    }
    $options[] = array('name' => __('社交', 'HO2-eye'), 'type' => 'heading');
    $options[] = array('name' => __('新浪微博', 'HO2-eye'), 'id' => 'social_weibo_s', 'std' => true, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '直接填写链接', 'id' => 'social_weibo', 'std' => 'http://weibo.com/u/2329174242', 'type' => 'text');
    

    
    $options[] = array('name' => __('腾讯微博', 'HO2-eye'), 'id' => 'social_tqq_s', 'std' => true, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '直接填写链接', 'id' => 'social_tqq', 'std' => 'http://t.qq.com/hytta8', 'type' => 'text');
    


    $options[] = array('name' => __('腾讯QQ', 'HO2-eye'), 'id' => 'social_qq_s', 'std' => true, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '这是一个临时会话的链接，直接填写QQ号码，（请注意查看自己QQ是否允许临时会话）', 'id' => 'social_qq', 'std' => '123456789', 'type' => 'text');
    
    $options[] = array('name' => __('邮箱链接', 'HO2-eye'), 'id' => 'social_mail_s', 'std'=>false, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '直接填写邮箱地址即可，如：123456@qq.com（投稿管理员接收邮箱也是这个）', 'id' => 'social_mail', 'std' => '', 'type' => 'text');
	$options[] = array('name' => __('QQ群链接', 'HO2-eye'), 'id' => 'social_qun_s', 'std'=>false, 'desc' => ' 显示', 'type' => 'checkbox');
	$options[] = array('desc' => '群名称或者其它标题名称', 'id' => 'social_qun_tit', 'std' => '', 'type' => 'text');
    $options[] = array('desc' => '直接填写加群链接地址即可，如何获取加群链接请点此', 'id' => 'social_qun', 'std' => '', 'type' => 'text');
    
    $options[] = array('name' => __('Facebook', 'HO2-eye'), 'id' => 'social_facebook_s', 'std'=>false, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '直接填写链接,国内已被墙，但是你可以开起来装B用o(一︿一+)o', 'id' => 'social_facebook', 'std' => '', 'type' => 'text');
    
    $options[] = array('name' => __('twitter', 'HO2-eye'), 'id' => 'social_twitter_s', 'std'=>false, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '直接填写链接,国内已被墙，但是你可以开起来装B用o(一︿一+)o', 'id' => 'social_twitter', 'std' => '', 'type' => 'text');
    	
    $options[] = array('name' => __('微信帐号', 'HO2-eye'), 'id' => 'social_wechat_s', 'std' => true, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array('desc' => '直接填写链接', 'id' => 'social_wechat', 'std' => '水冷眸', 'type' => 'text');
    
    $options[] = array('id' => 'social_wechat_qr', 'std' => 'http://cdn.cool918.cn/ho2-eye/assets/i/slm_qrcode.jpg', 'desc' => __('微信二维码，建议图片尺寸：', 'HO2-eye') . '230x230px', 'type' => 'upload');
    $options[] = array('name' => __('RSS订阅', 'HO2-eye'), 'id' => 'social_feed_s', 'std'=>true, 'desc' => ' 显示', 'type' => 'checkbox');
    $options[] = array( 'id' => 'social_feed', 'std' => get_feed_link(), 'type' => 'text');
    
    $options[] = array(
        'name' => __('广告位', 'HO2-eye') ,
        'type' => 'heading'
    );
    $options[] = array(
        'name' => __('文章页正文结尾文字广告', 'HO2-eye') ,
        'id' => 'ads_post_footer_s',
        'std' => true,
        'desc' => ' 显示',
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => '标题',
        'id' => 'ads_post_footer_title',
        'std' => '《Play-LM》多用途高级主题发布',
        'type' => 'text'
    );
    $options[] = array(
        'desc' => '链接（直接填写地址，别忘了http://）',
        'id' => 'ads_post_footer_link',
        'std' => '',
        'type' => 'text'
    );
    $options[] = array(
        'id' => 'ads_post_footer_link_blank',
        'type' => 'checkbox',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') . ' (' . __('新窗口打开链接，如果链接没填写请不要开启', 'HO2-eye') . ')'
    );
	$options[] = array(
        'name' => __('全站banner广告', 'HO2-eye') ,
        'id' => 'ads_banner_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('位于全站头部的banner广告位，给力的展现位置！宽度自适应，高度推荐90px。', 'HO2-eye') ,
        'id' => 'ads_banner',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD1首页列表最前/CMS栏目最前，', 'HO2-eye') ,
        'id' => 'ads_01_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('如首页幻灯开启则在幻灯与列表（CMS栏目）的中间，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_01',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD2首页（blog模式）及分类列表页分页下', 'HO2-eye') ,
        'id' => 'ads_02_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('位于（首页、各类归档页、分类页）的分页标签下，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_02',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD3文章页及页面正文上/CMS模式2', 'HO2-eye') ,
        'id' => 'ads_03_s',

        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('位于文章页及页面（默认模版）正文前，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_03',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD4文章页分页前，以及页面作者信息后/CMS模式2', 'HO2-eye') ,
        'id' => 'ads_04_s',
        'std' => true,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('位于文章页分页前，以及页面作者信息后，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_04',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD5文章页及页面评论下/CMS模式2', 'HO2-eye') ,
        'id' => 'ads_05_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('位于文章页及页面（默认模版）评论列表下，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_05',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD6 CMS模式1/CMS模式2/CMS模式3', 'HO2-eye') ,
        'id' => 'ads_06_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('CMS模式专用，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_06',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD7 CMS模式1/CMS模式2/CMS模式3', 'HO2-eye') ,
        'id' => 'ads_07_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('CMS模式专用，最大宽度830px，默认居中。', 'HO2-eye') ,
        'id' => 'ads_07',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('AD8 CMS模式1/CMS模式2/CMS模式3', 'HO2-eye') ,
        'id' => 'ads_08_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('CMS模式专用，最大宽度830px，默认居中', 'HO2-eye') ,
        'id' => 'ads_08',
        'type' => 'textarea'
    );
	$options[] = array(
        'name' => __('PHONE-AD1 手机模式', 'HO2-eye') ,
        'id' => 'adm_01_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('手机模式下展示的广告，此广告位于：全站列表头部，CMS模式下最开始模块前，文章页标题下', 'HO2-eye') ,
        'id' => 'adm_01',
        'type' => 'textarea'
    );
	$options[] = array(
        'name' => __('PHONE-AD2 手机模式', 'HO2-eye') ,
        'id' => 'adm_02_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('手机模式下展示的广告，此广告位于：全站列表分页前，CMS模式下最后一个模块后，文章页评论前', 'HO2-eye') ,
        'id' => 'adm_02',
        'type' => 'textarea'
    );
	$options[] = array(
        'name' => __('PHONE-AD3 手机模式', 'HO2-eye') ,
        'id' => 'adm_03_s',
        'std'=>false,
        'desc' => __('开启', 'HO2-eye') ,
        'type' => 'checkbox'
    );
    $options[] = array(
        'desc' => __('手机模式下展示的广告，此广告位于footer文件里，用于添加百度隐藏悬浮、图+等代码', 'HO2-eye') ,
        'id' => 'adm_03',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('自定义代码', 'HO2-eye') ,
        'type' => 'heading'
    );
    $options[] = array(
        'name' => __('自定义CSS样式', 'HO2-eye') ,
        'desc' => __('位于&lt;/head&gt;之前，直接写样式代码，不需要添加&lt;style&gt;标签', 'HO2-eye') ,
        'id' => 'csscode',
        'std' => '',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('自定义头部代码', 'HO2-eye') ,
        'desc' => __('位于&lt;/head&gt;之前，这部分代码是在主要内容显示之前加载，通常是CSS样式、添加&lt;/meta&gt;信息验证网站所有权、全站头部JS等需要提前加载的代码', 'HO2-eye') ,
        'id' => 'headcode',
        'std' => '',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('自定义底部代码', 'HO2-eye') ,
        'desc' => __('位于&lt;/body&gt;之前，这部分代码是在主要内容加载完毕加载，通常是JS代码', 'HO2-eye') ,
        'id' => 'footcode',
        'std' => '',
        'type' => 'textarea'
    );
    $options[] = array(
        'name' => __('网站统计代码', 'HO2-eye') ,
        'desc' => __('位于底部，用于添加第三方流量数据统计代码，如：Google analytics、百度统计、CNZZ、51la，国内站点推荐使用百度统计，国外站点推荐使用Google analytics', 'HO2-eye') ,
        'id' => 'trackcode',
        'std' => '',
        'type' => 'textarea'
    );
    
    return $options;
}

?><?php

add_action('optionsframework_after','options_after', 100);

function options_after() { ?>

        <?php
$url="http://cdn.slmwp.com/play_lm/introduce.php";
echo file_get_contents( $url );
?>
	

<?php }	

