<?php get_header(); ?>
<section id="content">
   <div <?php if ( wp_is_mobile() ){echo 'class="content-nosign"';}else{echo 'class="content-wrap"';} ?>>
    <?php if (get_opt('ho2_sign_s')) {include('modules/sign.php');}?>
    <div class="container clearfix">
      <div class="row">
        <div class="col-md-8 bottommargin">
          <?php while (have_posts()) : the_post() ?>
          
          <div class="single-post nobottommargin">
            <div class="entry clearfix">
              <div class="entry-title">
                <h2><?php the_title(); ?></h2>
              </div>
              <ul class="entry-meta clearfix">
                <li><i class="fa fa-calendar"></i> <?php echo timeago( get_gmt_from_date(get_the_time('Y-m-d G:i:s')) ) ?></li>
                <?php if (get_opt('p_author_s')){?><li><i class="fa fa-user"></i> <?php the_author_posts_link(); ?></li><?php }?>
                 <?php if (get_opt('p_cat_s')){?><li><i class="fa fa-folder-open-o"></i><?php the_category(', ') ?></li><?php }?>
                 <?php if (get_opt('p_comm_s')){?><li><i class="fa fa-comments-o"></i> <?php if ( comments_open() ) echo '<a href="'.get_comments_link().'">'.get_comments_number('0', '1', '%').'评论</a>';?></li><?php }?>
                 <?php if (get_opt('source_s')){
                 	echo '<li><i class="fa fa-copyright"></i>来源：';
                 		$come = get_post_meta($post->ID, "_meta_come_value", true);
                 		$curl = get_post_meta($post->ID, '_meta_curl_value', true);
						if($come) {
							echo '<a href="'.$curl.'" target="blank" rel="nofllow">'.$come.'</a>';
						}else {
							echo '本站原创';
						}
                 	echo '</li>';
				 }?>
                 	
                <li><i class="fa fa-eye"></i> <?php ho2_views('℃'); ?></li>
                <li class="fontResizer">字体：<a href="javascript:doZoom(<?php echo get_opt('single_fx');?>)" class="btn-xs">小</a><a href="javascript:doZoom(<?php echo get_opt('single_fz');?>)" class="btn-xs">中</a><a href="javascript:doZoom(<?php echo get_opt('single_fd');?>)" class="btn-xs">大</a></li>
                <?php edit_post_link('<li class="editor"><i class="fa fa-edit"></i> 编辑</li>', '  ', '  '); ?>
              </ul>
              
              <div id="primary" class="entry-content notopmargin">
                <?php if ( wp_is_mobile() ){ echo get_opt('adm_01_s') ? '<div class="adms">'.get_opt('adm_01').'</div>' : '';}else {echo get_opt('ads_03_s') ? '<div class="ads aligncenter">'.get_opt('ads_03').'</div>' : '';} ?>
                <?php  if (has_post_format('video')) {
					echo '<div style="text-align: center;margin-bottom: 20px;"><iframe height='. get_opt('single_v_h').' width='. get_opt('single_v_w').' src="'.get_post_meta($post->ID, '_format_video_embed', true).'" frameborder=0 allowfullscreen></iframe></div>';}
					else if (has_post_format('audio')) {
		  	echo '<div style="text-align:center;"><iframe src="'. get_opt('single_m_url').'/'.cfpf_post_audio_type().'/'.get_post_meta($post->ID, '_format_audio_embed', true).'.mp3" frameborder="0" scrolling="0" width="430" height="200" allowtransparency></iframe></div>';} 
					the_content(); 
					if (has_post_format('link')) {
						echo '<div id="download">
                    <span class="on on-title">'. get_opt('single_dow_1').'</span><a class="demo-link" href="'.esc_attr(get_post_meta($post->ID, '_format_link_demourl', true)).'" target="_blank" title="demo-'. get_opt('single_dow_2').'"><i class="fa fa-eye"></i> '. get_opt('single_dow_2').'</a><a class="download-link" href="'.esc_attr(get_post_meta($post->ID, '_format_link_dowurl', true)).'" target="_blank" title="download-'. get_opt('single_dow_3').'"><i class="fa fa-cloud-download"></i> '. get_opt('single_dow_3').'</a>
                </div>';} ?>
                     
                <?php wp_link_pages(array('before' => '<div class="fenye">', 'after' => '', 'next_or_number' => 'next', 'previouspagelink' => '<span>上一页</span>', 'nextpagelink' => "")); ?>
                <?php wp_link_pages(array('before' => '', 'after' => '', 'next_or_number' => 'number', 'link_before' =>'<span>', 'link_after'=>'</span>')); ?>   
                <?php wp_link_pages(array('before' => '', 'after' => '</div>', 'next_or_number' => 'next', 'previouspagelink' => '', 'nextpagelink' => "<span>下一页</span>")); ?>
                
                <?php endwhile; ?>
                <?php if( get_opt('ads_post_footer_s') ){ ?>
                <p class="asb-post-footer"><b>AD：</b><strong><a href="<?php echo get_opt('ads_post_footer_link');?>" <?php if( get_opt('ads_post_footer_link_blank') ){  echo 'target="_blank"';  } ?>><?php echo get_opt('ads_post_footer_title');?></a></strong></p>
                <?php } ?>
                <div class="tagcloud clearfix bottommargin-mini">
                  <?php the_tags('<a>本文Tags：</a> ','',''); ?>
                </div>
                <?php if (get_opt('ho2_zan')){?><div class="post-like"><a href="javascript:;" data-action="ding" data-id="<?php the_ID(); ?>" class="specsZan<?php if(isset($_COOKIE['specs_zan_'.$post->ID])) echo 'done';?>"><i class="fa fa-thumbs-up"></i> 赞<span class="count"><?php if( get_post_meta($post->ID,'specs_zan',true) ){ echo get_post_meta($post->ID,'specs_zan',true); } else { echo '0'; }?></span></a></div><?php }?>
                <?php if( get_opt('ho2_copyright') ){  ho2_copyright();  }  ?>

            <?php if (get_opt('author_s')){?>
            <div class="panel panel-default">
              <div class="panel-heading">
                <h3 class="panel-title">该文章由 <span>
                  <?php the_author_posts_link(); ?>
                  </span>发布<?php if( get_opt('ho2_share') ){  ho2_share();  }  ?></h3>
                  
              </div>
              <div class="panel-body">
                <div class="author-image"> <?php echo get_avatar( get_the_author_email(), 84 ); ?> </div>
                <?php 
		 			if(get_the_author_meta("description") != ""){
		 				the_author_meta("description");
		 			}else{
		 				echo "这货来去如风，什么鬼都没留下！！！";
		 			}
		 		?>
              </div>
            </div>
            <?php }?>
              </div>
            </div>

             
            <div class="single_nav">
            <div class="divider divider-short divider-center"><i class="fa fa-exchange"></i></div>
              <div class="col_half bottommargin-mini btn next">
                   <?php if (get_previous_post()) { previous_post_link('<i class="fa fa-angle-double-left"></i> %link');} else {echo " 已经是最后文章";} ?></div>
              <div class="col_half col_last bottommargin-mini btn next">
                        <?php if (get_next_post()) { next_post_link('%link <i class="fa fa-angle-double-right"></i>');} else {echo "已经是最新文章 ";} ?></div></div>
                        
            <?php if ( wp_is_mobile() ){ echo get_opt('adm_02_s') ? '<div class="adms">'.get_opt('adm_02').'</div>' : '';}else {echo get_opt('ads_04_s') ? '<div class="ads aligncenter">'.get_opt('ads_04').'</div>' : '';} ?>
            <?php if( get_opt('ho2_related_s') ){ '<div class="sigle-other">'. hui_posts_related( get_opt('ho2_related_title'), get_opt('ho2_related_n') ).'</div>
'; }  ?>            <div class="comments_bg"><?php comments_template('', true); ?>
            </div>
            <?php echo get_opt('ads_05_s') ? '<div class="ads aligncenter">'.get_opt('ads_05').'</div>' : '' ?> </div>
        </div>
        <?php get_sidebar(); ?>
      </div>
    </div>
  </div>
</section>
<?php get_footer(); ?>
