<?php 
/*
	template name: 友情链接
	description: template for slmwp.com slmwp theme 
*/
get_header();?>

<section id="content">
  <div class="content-wrap">
    <?php if (get_opt('ho2_sign_s')) {include('modules/sign.php');}?>
    <div class="container clearfix">
      <div class="row">
        <div class="col-md-9 bottommargin">
          <?php while (have_posts()) : the_post() ?>
          <div class="single-post nobottommargin">
            <div class="entry clearfix">
              <div class="entry-title">
                <h2>
                  <?php the_title(); ?>
                </h2>
              </div>
              <ul class="entry-meta clearfix">
                <li><i class="fa fa-calendar"></i> <?php echo timeago( get_gmt_from_date(get_the_time('Y-m-d G:i:s')) ) ?></li>
                <?php if (get_opt('p_author_s')){?>
                <li><i class="fa fa-user"></i>
                  <?php the_author_posts_link(); ?>
                </li>
                <?php }?>
                <?php if (get_opt('p_comm_s')){?>
                <li><i class="fa fa-comments-o"></i>
                  <?php if ( comments_open() ) echo '<a href="'.get_comments_link().'">'.get_comments_number('0', '1', '%').'评论</a>';?>
                </li>
                <?php }?>
                <li><i class="fa fa-eye"></i>
                  <?php ho2_views('℃'); ?>
                </li>
                <li>
                  <?php edit_post_link('<i class="fa fa-edit"></i> 编辑', '  ', '  '); ?>
                </li>
              </ul>
              <div id="primary" class="entry-content notopmargin">
                <?php the_content(); ?>
				<?php
$bookmarks = get_bookmarks();
if ( !empty($bookmarks) ){
    echo '<ul class="link-content clearfix">';
    foreach ($bookmarks as $bookmark) {
        echo '<li><a href="' . $bookmark->link_url . '" title="' . $bookmark->link_description . '" target="_blank" >'. get_avatar($bookmark->link_notes,40) . '<span class="sitename">'. $bookmark->link_name .'</span></a></li>';
    }
    echo '</ul>';
}
?>
				
                <?php endwhile; ?>
                <?php if (get_opt('author_s')){?>
            <div class="panel panel-default">
              <div class="panel-heading">
                <h3 class="panel-title">该文章由 <span>
                  <?php the_author_posts_link(); ?>
                  </span>发布<?php if( get_opt('ho2_share') ){  ho2_share();  }  ?></h3>
                  
              </div>
              <div class="panel-body">
                <div class="author-image"> <?php echo get_avatar( get_the_author_email(), 84 ); ?> </div>
                <?php 
		 			if(get_the_author_meta("description") != ""){
		 				the_author_meta("description");
		 			}else{
		 				echo "这货来去如风，什么鬼都没留下！！！";
		 			}
		 		?>
              </div>
            </div>
            <?php }?>
              </div>
            </div>
            <div class="sigle-other">
              <?php comments_template('', true); ?>
            </div>
          </div>
        </div>
        <?php get_template_part( 'sidebar', 'small' ); ?>
      </div>
    </div>
  </div>
</section>
<?php get_footer(); ?>
